body {
    display: block;
    margin: 0px !important;
}

.bg-banner {
    background: url('images/banners/banner-desk-price.webp') no-repeat center center;
    background-size: cover;
    height: 75vh;
}

@media (max-width: 767.98px) {
    .bg-banner {
        background: none !important;
        height: auto;
    }
}

.robot-text-style {
    font-family: "Roboto", sans-serif !important;
}

.robot-text {
    font-family: "Roboto", sans-serif;
    font-weight: lighter !important;
    font-style: normal;
}

.form-container {
    background: white;
    border-radius: 8px;
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 100%;
    max-width: 472px;
    max-height: 590px;
    position: absolute;
    right: 65px;
    bottom: 125px;
}

.form-title {
    text-align: center;
    font-size: 20px;
    /* slightly smaller */
    font-weight: 600;
    color: #333;
    margin-bottom: 15px;
}

.form-input {
    width: 100%;
    padding: 5px 10px;
    border: 1.5px solid #e1e5e9;
    border-radius: 6px;
    font-size: 14px;
    margin-bottom: 10px;
}

.form-input:focus {
    outline: none;
    border-color: #898989;
    background: white;
    box-shadow: 0 0 0 3px rgba(79, 70, 229, 0.1);
}

.form-input::placeholder {
    color: #9ca3af;
    font-weight: 400;
}

.form-input[readonly] {
    background: #f1f3f4;
    color: #333;
    cursor: default;
}

.form-input[readonly]:focus {
    border-color: #e1e5e9;
    box-shadow: none;
}

.select-wrapper {
    position: relative;
}

.form-select {
    padding: 10px 16px;
    font-size: 14px;
    border-radius: 6px;
}

.form-select:focus {
    outline: none;
    border-color: #4f46e5;
    background: white;
    box-shadow: 0 0 0 3px rgba(79, 70, 229, 0.1);
}

.form-select option {
    color: #333;
}

.select-arrow {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
    color: #9ca3af;
}

.consent-text {
    font-size: 11px;
    /* smaller */
    margin-bottom: 18px;
}



.consent-text a {
    color: #4f46e5;
    text-decoration: none;
    font-weight: 500;
}

.consent-text a:hover {
    text-decoration: underline;
}

.submit-btn {
    width: 100%;
    padding: 12px;
    background: #1b1851;
    color: white;
    border: none;
    border-radius: 6px;
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.submit-btn:hover {
    background: #1b1851;
    transform: translateY(-2px);
    box-shadow: 0 8px 20px rgba(45, 27, 105, 0.3);
}

.submit-btn:active {
    transform: translateY(0);
}

@media (max-width: 480px) {
    .form-container {
        padding: 20px;
        max-width: 90%;
        right: 10px;
        bottom: 20px;
    }

    .form-title {
        font-size: 18px;
    }

    .form-input,
    .form-select,
    .submit-btn {
        font-size: 13px;
        padding: 10px;
    }
}

.fs-11px {
    font-size: 11px;
}

.body {
    overflow: hidden !important;
}

.logo-above-form {
    position: absolute;
    right: 820px;
    z-index: 10;
    bottom: 234px;
}

.logo-above-form img {
    max-width: 165px;
    height: auto;
}

.form-container-mobile {
    background: white;
    border-radius: 8px;
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.1);
    padding: 20px;
    width: 90%;
    position: relative;
}

html,
body {
    overflow-x: hidden;
    max-width: 100%;
}

.text-blue {
    color: #1b1851;
}

.fs-60h1 {
    font-size: 60px;
}

.lh-90px {
    line-height: 75px;
}

.w-93 {
    width: 89%;
}

.lh-45px {
    line-height: 45px;
}

.fs-30px {
    font-size: 33px;
}

.font-poppins {
    font-family: Poppins, sans-serif;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
}

p {
    font-size: 18px !important;
}

p {
    font-weight: 400 !important;
    line-height: 1.6 !important;
    font-family: Poppins, sans-serif !important;
}

.btn-primary {
    color: #fff !important;
    background: #1b1851 !important;
    border: 1px solid #1b1851 !important;
    padding: 10px 30px !important;
    text-decoration: none !important;
}

.text-yellow {
    color: #ffc81e;
}

.yellow-bg-wrap {
    background: #ffd53a;
    padding: 0 5px;
}

.yellow-bg.animate .yellow-bg-wrap .yellow-bg-text {
    animation: once-animate 1.7s ease-in forwards;
    animation-delay: .5s;
}

.projectintroSec .yellow-bg-wrap .yellow-bg-text {
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(57, 71, 79, 0);
}

.projectintroSec .text1 {
    background: #141313 -webkit-linear-gradient(left, #ffffff, #ffffff) no-repeat 0 0 / 60px;
}

.yellow-bg-wrap .yellow-bg-text {
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(57, 71, 79, 0);
}

.text1 {
    background: #000;
}

.adissia-a {
    width: 517px !important;
    bottom: 16px !important;
    right: -299px !important;
}

.opacity-a {
    opacity: 0.05 !important;
}

.bg-pattern {
    background-color: rgb(249, 249, 249);
    background-image: url('images/white-background.png') !important;
    background-repeat: repeat;
    background-size: auto;
    padding: 35px 20px;
}

.pt-6rem {
    padding-top: 6rem;
}

.border-img {
    border: 7px solid white;
}

.bg-yellow {
    background-color: #ffd53a !important;
    width: 40%;
    padding: 9px 30px;
}

.h-80px {
    max-height: 80px !important;
}

.projectoverviewDetailTop {
    text-align: center;
    margin: 0 0 30px;
}

.projectoverviewDetailTop .nBlock {
    text-align: center;
    color: #303030;
    text-transform: uppercase;
    background: #ffd53a;
    margin: 0 0 10px;
    padding: 8px 18px;
    font-size: 15px;
    font-weight: 600;
    display: inline-table;
    border-radius: 20px;
}

.projectoverviewDetailTop h3 {
    color: #1b1851;
    letter-spacing: 0;
    text-transform: capitalize;
    margin: 0;
    font-size: 24px;
    font-weight: 700;
}

.projectoverviewDetailTop .apartments {
    text-align: center;
    color: #555;
    text-transform: capitalize;
    letter-spacing: 1px;
    font-size: 18px;
    font-weight: 400;
}

.ow-logo {
    width: 65%;
    margin-left: auto;
    margin-right: auto;
}

.fs-60px {
    font-size: 50px;
}

.bg-yellow1 {
    border-radius: 35px;
    background: #ffd53a00 !important;
    border: 1px solid #000 !important;
}

.border-grey {
    border: 1px solid #6b6d6e !important;
}

.swiper-slide img {
    width: 100%;
    height: 450px;
    /* Fixed height */
    object-fit: cover;
    /* Crops and fills */
    object-position: center;
    /* Center the image */
}

@media (max-width: 768px) {
    .swiper-slide img {
        height: 458px;
        /* Smaller height on mobile */
    }

    .static-icon {
        position: absolute;
        top: 50%;
        left: 270%;
        transform: translate(-50%, -50%);
        font-size: 1.5rem;
        right: -84px !important;
    }

    .py-9rem {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .w-86 {
        width: 100% !important;
    }
}

.gap-3 {
    gap: 1.5rem !important;
}

.py-3-amenities {
    padding-top: 1.2rem !important;
    padding-bottom: 1.2rem !important;
}

.stats-boxes {
    display: flex;
    margin-bottom: 30px;
}

.stat-box {
    text-align: center;
    background: #f4f4f4;
    border-radius: 15px;
    flex: 1;
    padding: 45px 30px;
    box-shadow: 16px 15px 19px #d2d2d261;
    width: 80%;
}

.stat-box h3 {
    font-size: 2rem;
    color: #1b1851;
    margin: 0;
}

.stat-box p {
    font-size: 1rem !important;
    color: #666;
    margin: 5px 0 0;
}

.rotating-wrapper {
    position: relative;
    width: 60px;
    height: 60px;
}

.rotating-border {
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 60px;
    border: 1px dashed black;
    border-radius: 50%;
    padding: 10px;
    animation: spin 8s linear infinite;
}

.static-icon {
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translate(-50%, -50%);
    font-size: 1.5rem;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.icon-size {
    font-size: 35px;
}

.fs-18px {
    font-size: 18px;
}

.faq-container {
    padding: 30px;
}

.faq-item {

    border-bottom: 1px solid #e0e0e0;
    padding-bottom: 10px;
}

.faq-item:last-child {
    border-bottom: none;
    margin-bottom: 0;
}

.faq-question {
    width: 100%;
    background: transparent;
    border: none;
    font-size: 18px;
    font-weight: 600;
    color: #1b1851;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    font-family: "Poppins", sans-serif;
    text-align: left;
    padding: 15px 0;
    transition: color 0.3s ease;
}

.faq-question:hover {
    color: #2d2875;
}

.faq-question:focus {
    outline: none;
}

.faq-answer {
    max-height: 0;
    overflow: hidden;
    font-size: 17px;
    font-weight: 400;
    color: #555;
    font-family: "Poppins", sans-serif;
    transition: max-height 0.4s ease, padding 0.4s ease;
    padding: 0 15px 0 0;
}

.faq-item.active .faq-answer {
    max-height: 200px;
    padding: 15px 15px 0 0;
}

.icon {
    font-size: 24px;
    margin-left: 15px;
    color: #1b1851;
    transition: transform 0.3s ease, color 0.3s ease;
    flex-shrink: 0;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: rgba(27, 24, 81, 0.1);
}

.faq-item.active .icon {
    transform: rotate(45deg);
    background: rgba(27, 24, 81, 0.2);
    color: #2d2875;
}

.faq-question-text {
    flex: 1;
    padding-right: 10px;
}

@media (max-width: 768px) {
    .container {
        margin: 0 10px;
    }

    .static-icon {
        left: 250% !important;
    }

    .faq-header {
        padding: 20px;
    }

    .faq-header h1 {
        font-size: 24px;
    }

    .faq-container {
        padding: 20px;
    }

    .faq-question {
        font-size: 16px;
    }

    .faq-answer {
        font-size: 14px;
    }

    .fs-30px {
        font-size: 23px !important;
    }

    .lh-90px {
        line-height: 46px !important;
    }

    .fs-60h1 {
        font-size: 30px !important;
    }

    .w-93 {
        width: 100% !important;
    }

    .lh-45px {
        line-height: 35px !important;
    }

    .adissia-a {
        width: 517px !important;
        bottom: 176px !important;
        left: -190px !important;
    }

    .fs-60px {
        font-size: 30px !important;
    }
}

.w-86 {
    width: 86%;
}

.bg-pattern-contactus {
    background: url('images/patter-bg-building.webp')no-repeat center center;
    background-size: cover;

}

.footer {
    background-color: #1b1851;
    padding: 0.5rem 0 0.5rem 0;
}

.footer-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer-text {
    font-size: 16px;
    color: #fff;
    font-weight: 300;
    font-family: 'Poppins', sans-serif;
    margin: 0;
}

.footer-links {
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
    padding: 0;
}

.footer-links li a {
    color: #fff;
    font-size: 16px;
    font-family: 'Poppins', sans-serif;
    text-decoration: none;
}

.footer-links li a:hover {
    text-decoration: underline;
}

.fade-in-left,
.fade-in-right,
.fade-in-top {
    opacity: 0;
    transition: all 0.8s ease-out;
}

.fade-in-left.show {
    opacity: 1;
    transform: translateX(0);
    animation: fadeInLeft 0.8s ease-out;
}

.fade-in-right.show {
    opacity: 1;
    transform: translateX(0);
    animation: fadeInRight 0.8s ease-out;
}

.fade-in-top.show {
    opacity: 1;
    transform: translateY(0);
    animation: fadeInTop 0.8s ease-out;
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translateX(-40px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(40px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeInTop {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media screen and (min-width: 968px) and (max-width: 1536px) {
    .form-container {
        background: white;
        border-radius: 8px;
        box-shadow: 0 12px 24px rgba(0, 0, 0, 0.1);
        padding: 20px;
        width: 100%;
        max-width: 400px !important;
        max-height: 520px !important;
        position: absolute;
        right: 40px !important;
        bottom: 100px !important;
    }

    .bg-banner {
        background: url(images/banners/banner-desk-price.webp) no-repeat center center;
        background-size: cover;
        height: 70vh !important;
    }

    .logo-above-form {
        position: absolute;
        right: 636px !important;
        z-index: 10;
        bottom: 195px !important;
    }

    .adissia-a {
        width: 455px !important;
        bottom: 16px !important;
        right: -150px !important;
    }
}

.bg-pattern-faq {
    position: relative;
    background: url('images/faq-bg.jpg') no-repeat center center;
    background-size: cover;
    z-index: 1;
}

.bg-pattern-faq::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(244, 244, 244, 0.795);
    /* Adjust darkness here */
    z-index: -1;
}

.bg-blue {
    background-color: #1b1851 !important;
}

.py-9rem {
    padding-top: 7rem;
    padding-bottom: 7rem;
}

.fs-50px {
    font-size: 50px;
}

.top-616px {
    top: -616px;
}

.w-85 {
    width: 85%;
}

.pb-7rem {
    padding-bottom: 7rem;
}

.bg-sky {
    background: url('images/bg-sky.png') no-repeat center center;
    background-size: cover;
    z-index: 1;
    position: relative;
}

.bg-sky::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(244 244 244 / 89%);
    z-index: -1;
}

.form-input[readonly] {
    background: #ffffff !important;
    color: #94999e !important;
    cursor: default;
}

.map-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    max-width: 100%;
    background: #f0f0f0;
    box-shadow: 0 0 10px rgb(29 29 29 / 26%);
}

.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

@media (max-width: 767px) {
    .map-container {
        padding-bottom: 75%;
        /* Slightly taller for small screens */
    }

    .footer-text {
        font-size: 13px !important;
        color: #fff;
        font-weight: 300;
        font-family: 'Poppins', sans-serif;
        margin: 0;
    }

    .faq-padding {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .fs-50px {
        font-size: 29px !important;
    }

    .footer-links li a {
        color: #fff;
        font-size: 13px !important;
        font-family: 'Poppins', sans-serif;
        text-decoration: none;
    }
}

.faq-padding {
    padding-top: 3rem;
    padding-bottom: 7rem;
}

.bg-danger {
    background-color: #88090d87 !important;
}

#toast {
    display: none;
    position: fixed;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #dc3545;
    color: white;
    padding: 12px 20px;
    border-radius: 5px;
    z-index: 9999;
    font-weight: bold;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

.form-input1 {
    width: 27% !important;
    padding: 5px 20px !important;
    border: 1.5px solid #e1e5e9 !important;
    border-radius: 6px !important;
    font-size: 14px !important;
    margin-bottom: 10px !important;
}

.fs-15px {
    font-size: 15px !important;
}

.custom-toast {
    animation: slideIn 0.3s ease-out;
}

@keyframes slideIn {
    from {
        transform: translateX(100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

.spinner-border-sm {
    width: 1rem;
    height: 1rem;
}